Перейти к основному содержанию
POST
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
purchase
Купить домены
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/purchase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact_info": {
    "address_1": "<string>",
    "city": "<string>",
    "country": "<string>",
    "email": "jsmith@example.com",
    "first_name": "<string>",
    "last_name": "<string>",
    "organization": "<string>",
    "phone": "<string>",
    "state": "<string>",
    "zip": "<string>"
  },
  "domains": [
    "<string>"
  ],
  "workspace_id": "<string>"
}
'
{
  "results": [
    {
      "domain_name": "<string>",
      "status": "<string>",
      "error": "<string>",
      "error_code": "<string>",
      "id": "<string>"
    }
  ],
  "currency": "<string>",
  "estimated_total": "<string>",
  "failed_count": 0,
  "payment_url": "<string>",
  "purchase_batch_id": "<string>",
  "successful_count": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Авторизации

Authorization
string
header
обязательно

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Параметры пути

account_id
string<uuid>
обязательно

Тело

application/json

Схема покупки одного или нескольких доменов.

contact_info
ContactInfo · object
обязательно

Схема контактной информации регистранта домена.

domains
string[]
обязательно
Minimum array length: 1
workspace_id
string<uuid4>
обязательно

Ответ

results
DomainPurchaseResult · object[]
обязательно
currency
string | null
estimated_total
string | null
failed_count
integer
по умолчанию:0
payment_url
string | null
purchase_batch_id
string | null
successful_count
integer
по умолчанию:0